# Spec file for php-spomky-labs-otphp
#
# Copyright (c) 2013-2014 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
#%%global gh_commit    6a8aec204688d36681e0185fbaf1974b97e4a070
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     spomky-labs
%global gh_project   otphp
%global with_tests   %{?_without_tests:0}%{!?_without_tests:1}

Name:           php-%{gh_project}
Summary:        Generate One Time Passwords
Version:        9.1.0
Release:        %mkrel 3

URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/Spomky-Labs/otphp/archive/v%{version}.tar.gz
License:        MIT
Group:          Development/PHP

BuildArch:      noarch
%if %{with_tests}
BuildRequires:  php >= 5.4
%endif

Provides:       php-composer(spomky-labs/otphp) = %{version}

# From composer.json
Requires:       php >= 5.4
Requires:       php-composer(christianriesen/base32)

Obsoletes:      php-spomky-labs-otphp < 4.0.2-2
Provides:       php-spomky-labs-otphp = %{version}-%{release}

%description
A php library for generating one time passwords according to RFC 4226
(HOTP Algorithm) and the RFC 6238 (TOTP Algorithm).

%prep
%setup -q -n %{gh_project}-%{?gh_commit:%{gh_commit}}%{!?gh_commit:%{version}}

%build
# nothing to build

%install
# Install as a PSR-0 library
mkdir -p %{buildroot}%{_datadir}/php/OTPHP/
cp -pr src/* %{buildroot}%{_datadir}/php/OTPHP/.

%check

%files
%doc composer.json LICENSE UPGRADE_v8-v9.md
%{_datadir}/php/OTPHP




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 9.1.0-3.mga8
+ Revision: 1519224
- Mageia 8 Mass Rebuild

* Sun Oct 07 2018 daviddavid <daviddavid> 9.1.0-2.mga7
+ Revision: 1318332
- obsoletes/provides php-spomky-labs-otphp

* Sat Oct 06 2018 mokraemer <mokraemer> 9.1.0-1.mga7
+ Revision: 1318300
- new version 9.1.0
- renamed folder for package name
- updated version
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Thu Jan 07 2016 spuhler <spuhler> 4.0.2-1.mga6
+ Revision: 920326
- first build
- imported package php-spomky-labs-otphp

